=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2010-03-26 22:38:18 +0000
+++ drizzled/drizzled.cc	2010-04-01 18:07:18 +0000
@@ -342,9 +342,6 @@
 
 /* Static variables */
 
-#ifdef HAVE_STACK_TRACE_ON_SEGV
-static bool opt_do_pstack;
-#endif /* HAVE_STACK_TRACE_ON_SEGV */
 int cleanup_done;
 static char *drizzle_home_ptr, *pidfile_name_ptr;
 static int defaults_argc;

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2010-03-26 23:25:28 +0000
+++ drizzled/include.am	2010-04-01 18:07:18 +0000
@@ -441,8 +441,12 @@
 				$(LIBINTL) \
 				${LIBC_P} \
 				$(pandora_plugin_libs) \
-				$(LDADD) $(LIBUUID) \
-				$(LIBDL_LIBS) $(LIBPROTOBUF) $(LIBPCRE) $(LIBTBB) \
+				$(LDADD) \
+				$(LIBUUID) \
+				$(LIBDL_LIBS) \
+				$(LIBPROTOBUF) \
+				$(LIBPCRE) \
+				$(LIBTBB) \
 				$(GCOV_LIBS) 
 
 drizzled_libdrizzled_la_DEPENDENCIES= \
@@ -759,7 +763,9 @@
 drizzled_drizzled_SOURCES= \
                            drizzled/main.cc
 drizzled_drizzled_LDADD= \
-                         drizzled/libdrizzled.la
+			 $(LIBPCRE) \
+			 $(LIBINTL) \
+			 drizzled/libdrizzled.la
 
 drizzled_drizzled_LDFLAGS= -export-dynamic
 

=== modified file 'drizzled/main.cc'
--- drizzled/main.cc	2010-03-26 23:25:28 +0000
+++ drizzled/main.cc	2010-04-01 18:07:18 +0000
@@ -153,7 +153,7 @@
                         "core file on signals"));
   }
   (void) sigemptyset(&set);
-  set_signal(SIGPIPE,SIG_IGN);
+  ignore_signal(SIGPIPE);
   sigaddset(&set,SIGPIPE);
 #ifndef IGNORE_SIGHUP_SIGQUIT
   sigaddset(&set,SIGQUIT);
@@ -165,16 +165,19 @@
   sigemptyset(&sa.sa_mask);
   sa.sa_flags = 0;
   sa.sa_handler = drizzled_print_signal_warning;
-  sigaction(SIGTERM, &sa, (struct sigaction*) 0);
+  sigaction(SIGTERM, &sa, NULL);
   sa.sa_flags = 0;
   sa.sa_handler = drizzled_print_signal_warning;
-  sigaction(SIGHUP, &sa, (struct sigaction*) 0);
+  sigaction(SIGHUP, &sa, NULL);
 #ifdef SIGTSTP
   sigaddset(&set,SIGTSTP);
 #endif
   if (test_flags.test(TEST_SIGINT))
   {
-    set_signal(thr_kill_signal, drizzled_end_thread_signal);
+    sa.sa_flags= 0;
+    sa.sa_handler= drizzled_end_thread_signal;
+    sigaction(thr_kill_signal, &sa, NULL);
+
     // May be SIGINT
     sigdelset(&set, thr_kill_signal);
   }
@@ -182,7 +185,7 @@
     sigaddset(&set,SIGINT);
   sigprocmask(SIG_SETMASK,&set,NULL);
   pthread_sigmask(SIG_SETMASK,&set,NULL);
-  return;;
+  return;
 }
 
 

=== modified file 'drizzled/message/include.am'
--- drizzled/message/include.am	2010-03-03 20:38:57 +0000
+++ drizzled/message/include.am	2010-04-01 18:07:18 +0000
@@ -89,11 +89,11 @@
 drizzled_message_master_list_reader_LDADD = ${MESSAGE_LDADD}
 drizzled_message_master_list_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
-drizzled_message_transaction_writer_SOURCES =  drizzled/message/transaction_writer.cc drizzled/message/transaction.pb.cc
+drizzled_message_transaction_writer_SOURCES =  drizzled/message/transaction_writer.cc
 drizzled_message_transaction_writer_LDADD = ${MESSAGE_LDADD} ${top_builddir}/drizzled/algorithm/libhash.la
 drizzled_message_transaction_writer_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS} ${NO_WERROR}
 
-drizzled_message_transaction_reader_SOURCES =  drizzled/message/transaction_reader.cc drizzled/message/transaction.pb.cc
+drizzled_message_transaction_reader_SOURCES =  drizzled/message/transaction_reader.cc
 drizzled_message_transaction_reader_LDADD = ${MESSAGE_LDADD} ${top_builddir}/drizzled/algorithm/libhash.la ${top_builddir}/drizzled/util/libutil.la
 drizzled_message_transaction_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS} ${NO_WERROR}
 

=== modified file 'drizzled/signal_handler.cc'
--- drizzled/signal_handler.cc	2010-03-26 23:25:28 +0000
+++ drizzled/signal_handler.cc	2010-04-01 18:07:18 +0000
@@ -50,7 +50,14 @@
     errmsg_printf(ERRMSG_LVL_WARN, _("Got signal %d from thread %"PRIu64),
                   sig, global_thread_id);
 #ifndef HAVE_BSD_SIGNALS
-  set_signal(sig,drizzled_print_signal_warning);		/* int. thread system calls */
+  sigset_t set;
+  sigemptyset(&set);
+
+  struct sigaction sa;
+  sa.sa_handler= drizzled_print_signal_warning;
+  sa.sa_mask= set;
+  sa.sa_flags= 0;
+  sigaction(sig, &sa, NULL);  /* int. thread system calls */
 #endif
   if (sig == SIGALRM)
     alarm(2);					/* reschedule alarm */

=== modified file 'drizzled/signal_handler.h'
--- drizzled/signal_handler.h	2010-03-26 23:25:28 +0000
+++ drizzled/signal_handler.h	2010-04-01 18:07:18 +0000
@@ -36,20 +36,19 @@
   such as SA_RESTART being set, and we want to make sure that no such
   flags are set.
 */
-static inline void set_signal(int sig, sighandler_t disp)
+static inline void ignore_signal(int sig)
 {
   /* Wow. There is a function sigaction which takes a pointer to a
     struct sigaction. */
   struct sigaction l_s;
   sigset_t l_set;
-  int l_rc;
+  sigemptyset(&l_set);
 
   assert(sig != 0);
-  sigemptyset(&l_set);
-  l_s.sa_handler= disp;
+  l_s.sa_handler= SIG_IGN;
   l_s.sa_mask= l_set;
   l_s.sa_flags= 0;
-  l_rc= sigaction(sig, &l_s, NULL);
+  int l_rc= sigaction(sig, &l_s, NULL);
   assert(l_rc == 0);
 }
 

=== modified file 'plugin/signal_handler/signal_handler.cc'
--- plugin/signal_handler/signal_handler.cc	2010-03-26 23:25:28 +0000
+++ plugin/signal_handler/signal_handler.cc	2010-04-01 18:07:18 +0000
@@ -68,7 +68,7 @@
   kill_in_progress=true;
   abort_loop=1;					// This should be set
   if (sig != 0) // 0 is not a valid signal number
-    set_signal(sig, SIG_IGN);                    /* purify inspected */
+    ignore_signal(sig);                    /* purify inspected */
   if (sig == SIGTERM || sig == 0)
     errmsg_printf(ERRMSG_LVL_INFO, _(ER(ER_NORMAL_SHUTDOWN)),internal::my_progname);
   else

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2010-03-23 23:50:56 +0000
+++ tests/test-run.pl	2010-04-01 18:07:18 +0000
@@ -3337,10 +3337,12 @@
     # write init file for mysqld
     mtr_tofile($gdb_init_file,
 	       "set args $str\n" .
+               "set breakpoint pending on\n" .
 	       "break drizzled::mysql_parse\n" .
 	       "commands 1\n" .
 	       "disable 1\n" .
 	       "end\n" .
+               "set breakpoint pending off\n" .
 	       "run");
   }
 

